Jump to content

  • Log in with Facebook Log in with Twitter Log In with Google      Sign In   
  • Create Account

Wineskin Winery updates


  • Please log in to reply
5 replies to this topic

#1 MolochMac

MolochMac

    Advanced Member

  • Members
  • PipPipPip
  • 51 posts
  • LocationStrasbourg

Posted 13 October 2016 - 07:02 PM

Hi guys,
i wonder why the Winery is still stuck with 1.9.15…
Long time since the last update !

#2 NRG

NRG

    Champion Member

  • Members
  • 604 posts
  • Graphics Card:Nvidia 9800m GTS
  • Operating System:Other OS/Not specified

Posted 13 October 2016 - 07:10 PM

View PostMolochMac, on 13 October 2016 - 07:02 PM, said:

Hi guys,
i wonder why the Winery is still stuck with 1.9.15…
Long time since the last update !

you can manually add latest official vanilla engines through this thread:

http://portingteam.c...able-in-winery/

#3 ScoPezz

ScoPezz

    Professional Member

  • Members
  • PipPipPipPip
  • 147 posts
  • LocationBelgium
  • Graphics Card:Intel GMA X3100
  • Operating System:Mac OS X 10.7 (Lion)

Posted 13 October 2016 - 07:19 PM

View PostNRG, on 13 October 2016 - 07:10 PM, said:

you can manually add latest official vanilla engines through this thread:

http://portingteam.c...able-in-winery/
On Mac you put them in ~/Library/Application Support/Wineskin/Engines
I try to upload the new engines 1 or two days after official release.

#4 doh123

doh123

    Wineskin Developer

  • Members
  • 4,279 posts
  • LocationOver here
  • Graphics Card:Geforce GT 650M, Intel HD 4000, Radeon 6750, Intel HD 3000, Geforce 320m (in 3 machines)
  • Operating System:OS X 10.8 (Mountain Lion)
  • I like to play:RPG and Strategy

Posted 14 October 2016 - 04:59 AM

What update is really needed? ... oh you just want engines with the latest Wine versions... yeah I need to automate that more so I keep up with it better.

#5 ScoPezz

ScoPezz

    Professional Member

  • Members
  • PipPipPipPip
  • 147 posts
  • LocationBelgium
  • Graphics Card:Intel GMA X3100
  • Operating System:Mac OS X 10.7 (Lion)

Posted 14 October 2016 - 06:39 AM

View Postdoh123, on 14 October 2016 - 04:59 AM, said:

What update is really needed? ... oh you just want engines with the latest Wine versions... yeah I need to automate that more so I keep up with it better.
Thank you for adding the new engines. I'll keep releasing all the new engines in my thread and I'll just delete them when you add them to the Winery.

EDIT: as far as updates go, if I may, I have one suggestion. With the current buildscript it's not possible to use gcc4.4 and clang 3.1.7 to compile 64bit engines. Would it be possible to modify the buildscript to fit the requirements for 64bit when the --enable-win64 argument is used?

#6 doh123

doh123

    Wineskin Developer

  • Members
  • 4,279 posts
  • LocationOver here
  • Graphics Card:Geforce GT 650M, Intel HD 4000, Radeon 6750, Intel HD 3000, Geforce 320m (in 3 machines)
  • Operating System:OS X 10.8 (Mountain Lion)
  • I like to play:RPG and Strategy

Posted 14 October 2016 - 11:43 AM

I haven't even tried 64 bit Wine... I can make whatever modifications to the build script is needed.  I thought this was already possible to use system default clang, but maybe thats jut my local script and I never put those changes out.




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users